Skip to main content
POST
POST /v2/commands/submit-and-wait-for-transaction

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json

These commands are executed as a single atomic transaction.

commands
JsCommands Ā· object
required

The commands to be submitted.

Required

transactionFormat
TransactionFormat Ā· object

If no transaction_format is provided, a default will be used where transaction_shape is set to TRANSACTION_SHAPE_ACS_DELTA, event_format is defined with filters_by_party containing wildcard-template filter for all original act_as and read_as parties and the verbose flag is set.

Optional

Response

transaction
JsTransaction Ā· object
required

The transaction that resulted from the submitted command. The transaction might contain no events (request conditions result in filtering out all of them).

Required